ngfd-plugin: /build/ngfd/src/ngfd-1.4.1/src/include/ngf/core-hooks.h File Reference

ngfd-plugin

Classes | Typedefs | Enumerations | Functions
core-hooks.h File Reference
`#include <glib.h>`
`#include <ngf/request.h>`
`#include <ngf/proplist.h>`

Go to the source code of this file.

## Classes
struct | _NCoreHookNewRequestData
struct | _NCoreHookTransformPropertiesData
struct | _NCoreHookFilterSinksData

## Typedefs
typedef enum _NCoreHook | NCoreHook
typedef struct _NCoreHookNewRequestData | NCoreHookNewRequestData
typedef struct _NCoreHookTransformPropertiesData | NCoreHookTransformPropertiesData
typedef struct _NCoreHookFilterSinksData | NCoreHookFilterSinksData

## Enumerations
enum | _NCoreHook { N_CORE_HOOK_INIT_DONE = 1 , N_CORE_HOOK_NEW_REQUEST , N_CORE_HOOK_TRANSFORM_PROPERTIES , N_CORE_HOOK_FILTER_SINKS , N_CORE_HOOK_LAST }

## Functions
const char * | n_core_hook_to_string (NCoreHook hook)
| Return name of hook as string.

## Typedef Documentation

## ◆ NCoreHook

typedef enum _NCoreHook NCoreHook

## ◆ NCoreHookFilterSinksData

typedef struct _NCoreHookFilterSinksData NCoreHookFilterSinksData

## ◆ NCoreHookNewRequestData

typedef struct _NCoreHookNewRequestData NCoreHookNewRequestData

## ◆ NCoreHookTransformPropertiesData

typedef struct _NCoreHookTransformPropertiesData NCoreHookTransformPropertiesData

## Enumeration Type Documentation

## ◆ _NCoreHook

enum _NCoreHook

Enumerator
N_CORE_HOOK_INIT_DONE | Executed after: All plugins are loaded All the NSinkInterface's and NInputInterface's have been initialized.
N_CORE_HOOK_NEW_REQUEST | Executed: After the core receive's a new request from the NInputInterface. Before event has been resolved. Before any transforming, modifications. Example is transform-plugin, which allows only certain properties to go through and discards the rest.
N_CORE_HOOK_TRANSFORM_PROPERTIES | Executed: After event has been resolved for the request and properties have been merged. Profile plugins transforms the *.profile keys to their target keys. If somebody would like to have a "theme" based support, then this would be the hook to act on.
N_CORE_HOOK_FILTER_SINKS | Executed: Core asks from the sinks if they can handle the request. This is called after that to allow extra filtering. Example is resource plugin, which enables/disables sinks for request based on available resources (and for example, vibration status).
N_CORE_HOOK_LAST |

## Function Documentation

## ◆ n_core_hook_to_string()

const char * n_core_hook_to_string | ( | NCoreHook | hook | ) |

Return name of hook as string.

Parameters

  hook | Hook.

Returns
  Name of the hook.